#!/bin/sh

NITRO_ENGINE=$DEVKITPRO/nitro-engine
ASSETS=./assets
TOOLS=$NITRO_ENGINE/tools
MD5_TO_DSMA=$TOOLS/md5_to_dsma/md5_to_dsma.py
GRIT=grit

rm -rf nitrofiles
mkdir -p nitrofiles

# Chibi model
python3 $MD5_TO_DSMA \
    --model $ASSETS/chibi_kp/chibi_kp.md5mesh \
    --name chibi_kp \
    --output nitrofiles \
    --texture 256 256 \
    --anim $ASSETS/chibi_kp/idle.md5anim \
    --skip-frames 1 \
    --blender-fix

$GRIT \
    $ASSETS/texture.png \
    -ftb -fh! -W1 \
    -onitrofiles/texture

$GRIT \
    $ASSETS/chibi_kp/chibi_kp_albedo.png \
    -ftb -fh! -W1 \
    -onitrofiles/chibi_kp_texture

# Badge Graphic
mkdir nitrofiles/bmp

$GRIT \
    $ASSETS/badge_01.jpg -ftb -fh! -gb -fB16

for file in *.bin; do
    mv -- "$file" "${file%.bin}"
done

mv *.img nitrofiles/bmp

# Badge Graphic: bg tile system
mkdir nitrofiles/bg

$GRIT \
    $ASSETS/badge_01.jpg -ftb -fh! -gTFF00FF -gt -gB8 -mR8 -mLs

for file in *.bin; do
    mv -- "$file" "${file%.bin}"
done

mv *.pal *.img *.map nitrofiles/bg

# Copy fonts
mkdir nitrofiles/fnt

cp $ASSETS/fonts/* nitrofiles/fnt
